kr.co.hanwha.hifive.enums

## Enum MessageType

- java.lang.Object
- - java.lang.Enum<MessageType>
  - - kr.co.hanwha.hifive.enums.MessageType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessageType>

      public enum MessageType
      extends java.lang.Enum<MessageType>

  Message TYPE

  Created by sanghoonkwon on 2018. 1. 22..

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMENT` 일반 메시지
    `NONE` Default
    `NULL`
    `REJECT_EVALUATION` 평가 반려 메시지
    `REJECT_REQUEST` 요청 반려 메시지
    `TRANSFER` 요청 전달 메시지

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `mType`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static MessageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final MessageType NULL

    - #### NONE

          public static final MessageType NONE

      Default

    - #### COMMENT

          public static final MessageType COMMENT

      일반 메시지

    - #### REJECT_REQUEST

          public static final MessageType REJECT_REQUEST

      요청 반려 메시지

    - #### TRANSFER

          public static final MessageType TRANSFER

      요청 전달 메시지

    - #### REJECT_EVALUATION

          public static final MessageType REJECT_EVALUATION

      평가 반려 메시지

  - ### Field Detail

    - #### mType

          private int mType

  - ### Method Detail

    - #### values

          public static MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageType c : MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()